-- $Id: pascal_goto.ads,v 2.1 1997/08/23 19:33:56 nestor Rel $
-- $Locker:  $
-- $Log: pascal_goto.ads,v $
-- Revision 2.1  1997/08/23 19:33:56  nestor
-- Laurent Gasser's correction for MacOS extended Pascal
--
-- Revision 1.1  1997/08/23  07:37:16  nestor
-- Martin C. Carlisle's original version, standard Pascal
--
package Pascal_Goto is

    type Small_Integer is range -32_000 .. 32_000;

    type Goto_Entry is record
        Nonterm  : Small_Integer;
        Newstate : Small_Integer;
    end record;

  --pragma suppress(index_check);

    subtype Row is Integer range -1 .. Integer'Last;

    type Goto_Parse_Table is array (Row range <>) of Goto_Entry;

    Goto_Matrix : constant Goto_Parse_Table :=
       ((-1,-1)  -- Dummy Entry.
-- State  0
,(-5, 4),(-4, 2),(-3, 1),(-2, 6)

-- State  1

-- State  2

-- State  3
,(-24, 7)
-- State  4
,(-6, 9)
-- State  5
,(-8, 11)
-- State  6

-- State  7
,(-25, 16)

-- State  8
,(-10, 17)
-- State  9
,(-7, 19)
-- State  10

-- State  11
,(-9, 20)
-- State  12

-- State  13

-- State  14

-- State  15

-- State  16
,(-26, 21)

-- State  17
,(-11, 23)
-- State  18
,(-20, 24)
-- State  19

-- State  20

-- State  21
,(-27, 27)
-- State  22
,(-22, 28)

-- State  23
,(-12, 30)
-- State  24
,(-11, 31)
-- State  25

-- State  26
,(-29, 32),(-25, 33)

-- State  27

-- State  28
,(-25, 36),(-23, 35)
-- State  29
,(-38, 38),(-37, 37)
,(-25, 39)
-- State  30
,(-13, 41)
-- State  31
,(-12, 42)
-- State  32

-- State  33

-- State  34
,(-11, 45)

-- State  35

-- State  36

-- State  37
,(-38, 48),(-25, 39)
-- State  38

-- State  39

-- State  40
,(-61, 52),(-60, 51)
,(-59, 50)
-- State  41
,(-14, 54)
-- State  42
,(-13, 55)
-- State  43

-- State  44
,(-25, 56)

-- State  45
,(-31, 57),(-28, 59)
-- State  46

-- State  47
,(-30, 60)
-- State  48

-- State  49
,(-39, 61)

-- State  50
,(-61, 52),(-60, 62)
-- State  51

-- State  52
,(-25, 63)
-- State  53
,(-121, 65)
,(-120, 64),(-25, 36),(-23, 66)
-- State  54
,(-129, 69)
,(-18, 68),(-16, 67),(-15, 72)
-- State  55
,(-14, 73)

-- State  56

-- State  57
,(-12, 74)
-- State  58
,(-35, 76),(-33, 75)
-- State  59

-- State  60
,(-25, 79)

-- State  61
,(-56, 93),(-53, 90),(-52, 89),(-51, 87)
,(-50, 86),(-45, 83),(-44, 82),(-43, 81)
,(-41, 80),(-40, 102),(-25, 88)
-- State  62

-- State  63

-- State  64
,(-121, 104)
,(-25, 36),(-23, 66)
-- State  65

-- State  66

-- State  67

-- State  68

-- State  69
,(-115, 109)
-- State  70
,(-145, 110)

-- State  71
,(-141, 111)
-- State  72

-- State  73
,(-129, 69),(-126, 115),(-125, 114)
,(-124, 113),(-123, 112),(-21, 118),(-18, 117)
,(-16, 116)
-- State  74
,(-13, 119)
-- State  75
,(-34, 122)
-- State  76

-- State  77

-- State  78

-- State  79

-- State  80
,(-42, 130)

-- State  81

-- State  82
,(-56, 93),(-53, 90),(-52, 89),(-51, 87)
,(-50, 86),(-45, 83),(-43, 134),(-25, 88)

-- State  83
,(-49, 142)
-- State  84

-- State  85

-- State  86

-- State  87

-- State  88
,(-201, 144)
-- State  89

-- State  90

-- State  91
,(-54, 145)
-- State  92
,(-55, 146)

-- State  93

-- State  94

-- State  95

-- State  96

-- State  97

-- State  98

-- State  99
,(-239, 148),(-238, 147),(-235, 162),(-231, 154)
,(-229, 153),(-228, 151),(-227, 150),(-197, 164)
,(-189, 149),(-187, 157),(-56, 93),(-53, 158)
,(-52, 163),(-51, 156),(-44, 152),(-25, 161)

-- State  100

-- State  101

-- State  102

-- State  103
,(-62, 167)
-- State  104

-- State  105
,(-122, 168)
-- State  106
,(-17, 169)
-- State  107
,(-19, 170)

-- State  108
,(-131, 171)
-- State  109

-- State  110
,(-25, 172)
-- State  111
,(-25, 173)
-- State  112

-- State  113

-- State  114

-- State  115

-- State  116

-- State  117

-- State  118

-- State  119
,(-14, 178)

-- State  120

-- State  121

-- State  122
,(-35, 179)
-- State  123

-- State  124

-- State  125

-- State  126

-- State  127

-- State  128

-- State  129

-- State  130
,(-56, 93),(-53, 90),(-52, 89)
,(-51, 87),(-50, 86),(-45, 83),(-44, 82)
,(-43, 81),(-41, 180),(-25, 88)
-- State  131
,(-46, 181)

-- State  132
,(-47, 182)
-- State  133
,(-48, 183)
-- State  134

-- State  135

-- State  136

-- State  137

-- State  138

-- State  139

-- State  140

-- State  141

-- State  142
,(-56, 93),(-53, 90)
,(-52, 89),(-51, 87),(-50, 184),(-25, 88)

-- State  143
,(-209, 185)
-- State  144

-- State  145
,(-56, 93),(-53, 90),(-52, 89)
,(-51, 87),(-50, 86),(-45, 83),(-44, 82)
,(-43, 81),(-41, 80),(-40, 186),(-25, 88)

-- State  146
,(-56, 93),(-53, 90),(-52, 89),(-51, 87)
,(-50, 187),(-25, 88)
-- State  147
,(-34, 189)
-- State  148

-- State  149

-- State  150
,(-42, 191)

-- State  151
,(-230, 195)
-- State  152
,(-235, 162),(-231, 154),(-229, 153)
,(-228, 196),(-197, 164),(-187, 157),(-56, 93)
,(-53, 158),(-52, 163),(-51, 156),(-25, 161)

-- State  153
,(-49, 197)
-- State  154

-- State  155
,(-232, 198)
-- State  156

-- State  157

-- State  158

-- State  159
,(-233, 202)
-- State  160
,(-234, 203)

-- State  161
,(-201, 144)
-- State  162

-- State  163

-- State  164

-- State  165

-- State  166

-- State  167
,(-78, 223),(-77, 222),(-76, 221)
,(-75, 220),(-74, 213),(-71, 212),(-70, 211)
,(-69, 210),(-68, 209),(-67, 208),(-66, 207)
,(-65, 206),(-64, 205),(-63, 236),(-58, 224)
,(-57, 219),(-44, 225),(-25, 204)
-- State  168
,(-78, 223)
,(-77, 222),(-76, 221),(-75, 220),(-74, 213)
,(-71, 212),(-70, 211),(-69, 210),(-68, 209)
,(-67, 208),(-66, 207),(-65, 206),(-64, 205)
,(-63, 237),(-58, 224),(-57, 219),(-44, 225)
,(-25, 204)
-- State  169
,(-129, 69),(-18, 68),(-16, 67)
,(-15, 238)
-- State  170
,(-129, 69),(-18, 68),(-16, 67)
,(-15, 239)
-- State  171
,(-138, 245),(-137, 244),(-136, 243)
,(-135, 242),(-134, 241),(-132, 240),(-129, 69)
,(-25, 36),(-23, 246),(-18, 249),(-16, 248)

-- State  172
,(-146, 250)
-- State  173

-- State  174
,(-129, 69),(-126, 115),(-125, 114)
,(-124, 251),(-18, 117),(-16, 116)
-- State  175
,(-127, 252)

-- State  176
,(-143, 253)
-- State  177

-- State  178
,(-129, 69),(-126, 115),(-125, 114)
,(-124, 113),(-123, 112),(-21, 255),(-18, 117)
,(-16, 116)
-- State  179

-- State  180

-- State  181
,(-56, 93),(-53, 90),(-52, 89)
,(-51, 87),(-50, 86),(-45, 256),(-25, 88)

-- State  182
,(-56, 93),(-53, 90),(-52, 89),(-51, 87)
,(-50, 86),(-45, 257),(-25, 88)
-- State  183
,(-56, 93)
,(-53, 90),(-52, 89),(-51, 87),(-50, 86)
,(-45, 258),(-25, 88)
-- State  184

-- State  185
,(-235, 162),(-231, 154)
,(-229, 153),(-228, 151),(-227, 150),(-212, 260)
,(-210, 259),(-197, 164),(-189, 261),(-187, 157)
,(-56, 93),(-53, 158),(-52, 163),(-51, 156)
,(-44, 152),(-25, 161)
-- State  186

-- State  187

-- State  188

-- State  189
,(-239, 263),(-235, 162)
,(-231, 154),(-229, 153),(-228, 151),(-227, 150)
,(-197, 164),(-189, 149),(-187, 157),(-56, 93)
,(-53, 158),(-52, 163),(-51, 156),(-44, 152)
,(-25, 161)
-- State  190
,(-240, 264)
-- State  191
,(-235, 162),(-231, 154)
,(-229, 153),(-228, 151),(-227, 265),(-197, 164)
,(-187, 157),(-56, 93),(-53, 158),(-52, 163)
,(-51, 156),(-44, 152),(-25, 161)
-- State  192

-- State  193

-- State  194

-- State  195
,(-235, 162)
,(-231, 154),(-229, 266),(-197, 164),(-187, 157)
,(-56, 93),(-53, 158),(-52, 163),(-51, 156)
,(-25, 161)
-- State  196
,(-230, 195)
-- State  197
,(-235, 162),(-231, 267)
,(-197, 164),(-187, 157),(-56, 93),(-53, 158)
,(-52, 163),(-51, 156),(-25, 161)
-- State  198
,(-235, 162)
,(-197, 164),(-187, 268),(-52, 163),(-25, 161)

-- State  199
,(-236, 269)
-- State  200
,(-237, 270)
-- State  201

-- State  202
,(-235, 162),(-231, 154)
,(-229, 153),(-228, 151),(-227, 150),(-197, 164)
,(-189, 271),(-187, 157),(-56, 93),(-53, 158)
,(-52, 163),(-51, 156),(-44, 152),(-25, 161)

-- State  203
,(-235, 162),(-231, 272),(-197, 164),(-187, 157)
,(-56, 93),(-53, 158),(-52, 163),(-51, 156)
,(-25, 161)
-- State  204

-- State  205

-- State  206

-- State  207

-- State  208

-- State  209

-- State  210

-- State  211

-- State  212

-- State  213

-- State  214
,(-78, 223),(-77, 222),(-76, 221)
,(-75, 220),(-74, 273)
-- State  215
,(-112, 274)
-- State  216
,(-114, 275)

-- State  217
,(-118, 277),(-116, 276)
-- State  218
,(-72, 278)
-- State  219

-- State  220

-- State  221

-- State  222

-- State  223

-- State  224

-- State  225
,(-58, 281)
,(-25, 280)
-- State  226

-- State  227

-- State  228
,(-79, 282)
-- State  229
,(-86, 283)
-- State  230

-- State  231

-- State  232

-- State  233

-- State  234

-- State  235

-- State  236

-- State  237

-- State  238

-- State  239

-- State  240

-- State  241

-- State  242

-- State  243

-- State  244

-- State  245

-- State  246

-- State  247
,(-25, 36)
,(-23, 291)
-- State  248

-- State  249

-- State  250
,(-147, 293),(-115, 292)
-- State  251

-- State  252
,(-130, 294)
,(-128, 298),(-31, 57),(-28, 295)
-- State  253
,(-144, 301)
,(-130, 299),(-31, 57),(-28, 300)
-- State  254

-- State  255
,(-32, 303)

-- State  256
,(-49, 142)
-- State  257
,(-49, 142)
-- State  258
,(-49, 142)
-- State  259
,(-34, 305)

-- State  260

-- State  261

-- State  262

-- State  263

-- State  264
,(-235, 162),(-231, 154),(-229, 153),(-228, 151)
,(-227, 150),(-197, 164),(-189, 306),(-187, 157)
,(-56, 93),(-53, 158),(-52, 163),(-51, 156)
,(-44, 152),(-25, 161)
-- State  265

-- State  266
,(-49, 197)
-- State  267

-- State  268

-- State  269
,(-25, 307)

-- State  270
,(-235, 162),(-231, 154),(-229, 153),(-228, 151)
,(-227, 150),(-197, 164),(-193, 309),(-192, 308)
,(-189, 310),(-187, 157),(-56, 93),(-53, 158)
,(-52, 163),(-51, 156),(-44, 152),(-25, 161)

-- State  271

-- State  272

-- State  273

-- State  274
,(-113, 313),(-25, 312)
-- State  275
,(-115, 314)
-- State  276

-- State  277
,(-115, 316)

-- State  278
,(-25, 36),(-23, 317)
-- State  279
,(-73, 318)
-- State  280

-- State  281

-- State  282

-- State  283
,(-93, 322)
,(-90, 321),(-89, 320),(-87, 325),(-25, 36)
,(-23, 324)
-- State  284
,(-110, 326)
-- State  285
,(-82, 328),(-78, 223)
,(-77, 222),(-76, 221),(-75, 220),(-74, 213)
,(-71, 212),(-70, 211),(-69, 210),(-68, 209)
,(-67, 208),(-66, 207),(-65, 206),(-64, 205)
,(-63, 327),(-58, 224),(-57, 219),(-44, 225)
,(-25, 204)
-- State  286

-- State  287

-- State  288

-- State  289
,(-133, 329)
-- State  290
,(-139, 330)
-- State  291

-- State  292

-- State  293

-- State  294

-- State  295

-- State  296

-- State  297

-- State  298

-- State  299

-- State  300

-- State  301

-- State  302
,(-165, 333)

-- State  303

-- State  304

-- State  305
,(-211, 334)
-- State  306

-- State  307

-- State  308
,(-34, 335)
-- State  309

-- State  310

-- State  311

-- State  312

-- State  313

-- State  314

-- State  315
,(-117, 337)
-- State  316

-- State  317

-- State  318
,(-58, 224)
,(-57, 340),(-44, 225),(-25, 280)
-- State  319
,(-85, 343)
,(-84, 342),(-80, 341),(-71, 212),(-70, 211)
,(-65, 344),(-58, 224),(-57, 219),(-44, 225)
,(-25, 345)
-- State  320

-- State  321

-- State  322

-- State  323
,(-95, 347)
-- State  324

-- State  325
,(-88, 349)
-- State  326
,(-111, 351)
,(-85, 350),(-71, 212),(-70, 211),(-65, 344)
,(-58, 224),(-57, 219),(-44, 225),(-25, 345)

-- State  327

-- State  328

-- State  329
,(-138, 245),(-137, 244),(-136, 243),(-135, 242)
,(-134, 352),(-129, 69),(-25, 36),(-23, 246)
,(-18, 249),(-16, 248)
-- State  330
,(-25, 353)
-- State  331
,(-140, 354)

-- State  332
,(-148, 355)
-- State  333
,(-235, 162),(-197, 375),(-187, 373)
,(-166, 357),(-164, 372),(-163, 371),(-162, 370)
,(-161, 369),(-160, 368),(-159, 367),(-158, 365)
,(-157, 364),(-156, 363),(-155, 361),(-154, 360)
,(-153, 358),(-152, 356),(-52, 163),(-36, 359)
,(-32, 366),(-25, 374)
-- State  334
,(-235, 162),(-231, 154)
,(-229, 153),(-228, 151),(-227, 150),(-212, 385)
,(-197, 164),(-189, 261),(-187, 157),(-56, 93)
,(-53, 158),(-52, 163),(-51, 156),(-44, 152)
,(-25, 161)
-- State  335
,(-235, 162),(-231, 154),(-229, 153)
,(-228, 151),(-227, 150),(-197, 164),(-193, 386)
,(-189, 310),(-187, 157),(-56, 93),(-53, 158)
,(-52, 163),(-51, 156),(-44, 152),(-25, 161)

-- State  336

-- State  337
,(-25, 387)
-- State  338
,(-119, 388)
-- State  339

-- State  340

-- State  341
,(-34, 390)
-- State  342

-- State  343

-- State  344

-- State  345

-- State  346
,(-91, 391)

-- State  347
,(-102, 393),(-101, 392),(-96, 395),(-25, 394)

-- State  348
,(-94, 396)
-- State  349

-- State  350

-- State  351

-- State  352

-- State  353

-- State  354
,(-25, 398)
-- State  355
,(-149, 400),(-25, 399)

-- State  356

-- State  357

-- State  358

-- State  359

-- State  360

-- State  361

-- State  362

-- State  363

-- State  364

-- State  365

-- State  366

-- State  367

-- State  368

-- State  369

-- State  370

-- State  371

-- State  372

-- State  373

-- State  374
,(-201, 405),(-196, 406)
-- State  375
,(-201, 407),(-196, 408)

-- State  376
,(-198, 409)
-- State  377
,(-200, 410)
-- State  378
,(-213, 411)
-- State  379
,(-183, 412)

-- State  380
,(-214, 413)
-- State  381
,(-167, 414)
-- State  382
,(-170, 415)
-- State  383
,(-172, 416)

-- State  384
,(-180, 417)
-- State  385

-- State  386

-- State  387

-- State  388
,(-25, 418)
-- State  389

-- State  390
,(-83, 420)
-- State  391
,(-93, 421)
,(-92, 423),(-90, 422),(-25, 36),(-23, 324)

-- State  392

-- State  393

-- State  394

-- State  395

-- State  396
,(-78, 223),(-77, 222),(-76, 221),(-75, 220)
,(-74, 213),(-71, 212),(-70, 211),(-69, 210)
,(-68, 209),(-67, 208),(-66, 207),(-65, 206)
,(-64, 205),(-63, 426),(-58, 224),(-57, 219)
,(-44, 225),(-25, 204)
-- State  397

-- State  398

-- State  399

-- State  400

-- State  401

-- State  402
,(-235, 162),(-197, 375)
,(-187, 373),(-164, 372),(-163, 371),(-162, 370)
,(-161, 369),(-160, 368),(-159, 367),(-158, 365)
,(-157, 364),(-156, 363),(-155, 361),(-154, 360)
,(-153, 358),(-152, 427),(-52, 163),(-36, 359)
,(-32, 366),(-25, 374)
-- State  403
,(-235, 162),(-197, 375)
,(-187, 373),(-164, 372),(-163, 371),(-162, 370)
,(-161, 369),(-160, 368),(-159, 367),(-158, 365)
,(-157, 364),(-156, 363),(-155, 361),(-154, 360)
,(-153, 428),(-52, 163),(-32, 366),(-25, 374)

-- State  404
,(-188, 429)
-- State  405

-- State  406

-- State  407

-- State  408

-- State  409
,(-199, 431)
-- State  410
,(-199, 432)
-- State  411
,(-36, 433)

-- State  412
,(-235, 162),(-231, 154),(-229, 153),(-228, 151)
,(-227, 150),(-197, 164),(-189, 434),(-187, 157)
,(-169, 435),(-56, 93),(-53, 158),(-52, 163)
,(-51, 156),(-44, 152),(-25, 161)
-- State  413
,(-235, 162)
,(-231, 154),(-229, 153),(-228, 151),(-227, 150)
,(-215, 437),(-197, 164),(-189, 436),(-187, 157)
,(-56, 93),(-53, 158),(-52, 163),(-51, 156)
,(-44, 152),(-25, 161)
-- State  414
,(-235, 162),(-197, 375)
,(-187, 373),(-166, 438),(-164, 372),(-163, 371)
,(-162, 370),(-161, 369),(-160, 368),(-159, 367)
,(-158, 365),(-157, 364),(-156, 363),(-155, 361)
,(-154, 360),(-153, 358),(-152, 356),(-52, 163)
,(-36, 359),(-32, 366),(-25, 374)
-- State  415
,(-235, 162)
,(-231, 154),(-229, 153),(-228, 151),(-227, 150)
,(-197, 164),(-189, 434),(-187, 157),(-169, 439)
,(-56, 93),(-53, 158),(-52, 163),(-51, 156)
,(-44, 152),(-25, 161)
-- State  416
,(-173, 441),(-25, 440)

-- State  417
,(-235, 162),(-197, 164),(-187, 443),(-181, 442)
,(-52, 163),(-25, 161)
-- State  418

-- State  419
,(-81, 444)
-- State  420
,(-85, 343)
,(-84, 445),(-71, 212),(-70, 211),(-65, 344)
,(-58, 224),(-57, 219),(-44, 225),(-25, 345)

-- State  421

-- State  422

-- State  423

-- State  424
,(-102, 447),(-25, 446)
-- State  425
,(-97, 448)
-- State  426

-- State  427

-- State  428

-- State  429
,(-235, 162)
,(-231, 154),(-229, 153),(-228, 151),(-227, 150)
,(-197, 164),(-189, 449),(-187, 157),(-56, 93)
,(-53, 158),(-52, 163),(-51, 156),(-44, 152)
,(-25, 161)
-- State  430
,(-202, 450)
-- State  431

-- State  432

-- State  433

-- State  434

-- State  435

-- State  436

-- State  437

-- State  438

-- State  439

-- State  440

-- State  441

-- State  442
,(-34, 457)
-- State  443

-- State  444
,(-82, 458)
,(-78, 223),(-77, 222),(-76, 221),(-75, 220)
,(-74, 213),(-71, 212),(-70, 211),(-69, 210)
,(-68, 209),(-67, 208),(-66, 207),(-65, 206)
,(-64, 205),(-63, 327),(-58, 224),(-57, 219)
,(-44, 225),(-25, 204)
-- State  445

-- State  446

-- State  447

-- State  448
,(-98, 459)
-- State  449

-- State  450
,(-235, 162)
,(-231, 154),(-229, 153),(-228, 151),(-227, 150)
,(-205, 461),(-203, 460),(-197, 164),(-189, 462)
,(-187, 157),(-56, 93),(-53, 158),(-52, 163)
,(-51, 156),(-44, 152),(-25, 161)
-- State  451
,(-184, 463)

-- State  452
,(-216, 464)
-- State  453
,(-168, 465)
-- State  454
,(-171, 466)
-- State  455
,(-174, 467)

-- State  456
,(-182, 468)
-- State  457
,(-235, 162),(-197, 164),(-187, 469)
,(-52, 163),(-25, 161)
-- State  458

-- State  459
,(-109, 473),(-105, 472)
,(-104, 471),(-99, 470),(-58, 224),(-57, 474)
,(-44, 225),(-25, 280)
-- State  460
,(-34, 476)
-- State  461

-- State  462

-- State  463
,(-235, 162)
,(-197, 375),(-187, 373),(-164, 372),(-163, 371)
,(-162, 370),(-161, 369),(-160, 368),(-159, 367)
,(-158, 365),(-157, 364),(-156, 363),(-155, 361)
,(-154, 360),(-153, 358),(-152, 478),(-52, 163)
,(-36, 359),(-32, 366),(-25, 374)
-- State  464
,(-217, 479)

-- State  465
,(-235, 162),(-231, 154),(-229, 153),(-228, 151)
,(-227, 150),(-197, 164),(-189, 434),(-187, 157)
,(-169, 480),(-56, 93),(-53, 158),(-52, 163)
,(-51, 156),(-44, 152),(-25, 161)
-- State  466
,(-235, 162)
,(-197, 375),(-187, 373),(-164, 372),(-163, 371)
,(-162, 370),(-161, 369),(-160, 368),(-159, 367)
,(-158, 365),(-157, 364),(-156, 363),(-155, 361)
,(-154, 360),(-153, 358),(-152, 481),(-52, 163)
,(-36, 359),(-32, 366),(-25, 374)
-- State  467
,(-235, 162)
,(-231, 154),(-229, 153),(-228, 151),(-227, 150)
,(-197, 164),(-189, 482),(-187, 157),(-175, 483)
,(-56, 93),(-53, 158),(-52, 163),(-51, 156)
,(-44, 152),(-25, 161)
-- State  468
,(-235, 162),(-197, 375)
,(-187, 373),(-164, 372),(-163, 371),(-162, 370)
,(-161, 369),(-160, 368),(-159, 367),(-158, 365)
,(-157, 364),(-156, 363),(-155, 361),(-154, 360)
,(-153, 358),(-152, 484),(-52, 163),(-36, 359)
,(-32, 366),(-25, 374)
-- State  469

-- State  470
,(-100, 486)
-- State  471

-- State  472
,(-34, 488)

-- State  473

-- State  474

-- State  475

-- State  476
,(-204, 490)
-- State  477
,(-206, 491)
-- State  478
,(-185, 493)
-- State  479
,(-223, 495)
,(-218, 494),(-109, 473),(-105, 496),(-58, 224)
,(-57, 474),(-44, 225),(-25, 280)
-- State  480

-- State  481

-- State  482

-- State  483
,(-176, 499)

-- State  484

-- State  485
,(-103, 500)
-- State  486

-- State  487
,(-106, 501)
-- State  488
,(-108, 502)
-- State  489
,(-58, 224)
,(-57, 503),(-44, 225),(-25, 280)
-- State  490
,(-235, 162)
,(-231, 154),(-229, 153),(-228, 151),(-227, 150)
,(-205, 504),(-197, 164),(-189, 462),(-187, 157)
,(-56, 93),(-53, 158),(-52, 163),(-51, 156)
,(-44, 152),(-25, 161)
-- State  491
,(-235, 162),(-231, 154)
,(-229, 153),(-228, 151),(-227, 150),(-207, 506)
,(-197, 164),(-189, 505),(-187, 157),(-56, 93)
,(-53, 158),(-52, 163),(-51, 156),(-44, 152)
,(-25, 161)
-- State  492
,(-186, 507)
-- State  493

-- State  494
,(-219, 510),(-100, 508)

-- State  495

-- State  496
,(-34, 488)
-- State  497

-- State  498

-- State  499
,(-177, 512)
-- State  500
,(-109, 473),(-105, 472)
,(-104, 513),(-58, 224),(-57, 474),(-44, 225)
,(-25, 280)
-- State  501

-- State  502
,(-109, 515),(-58, 224),(-57, 474)
,(-44, 225),(-25, 280)
-- State  503

-- State  504

-- State  505

-- State  506

-- State  507
,(-235, 162),(-197, 375)
,(-187, 373),(-164, 372),(-163, 371),(-162, 370)
,(-161, 369),(-160, 368),(-159, 367),(-158, 365)
,(-157, 364),(-156, 363),(-155, 361),(-154, 360)
,(-153, 358),(-152, 517),(-52, 163),(-36, 359)
,(-32, 366),(-25, 374)
-- State  508
,(-221, 518),(-220, 520)

-- State  509
,(-222, 521)
-- State  510

-- State  511
,(-224, 523)
-- State  512
,(-235, 162),(-231, 154)
,(-229, 153),(-228, 151),(-227, 150),(-197, 164)
,(-189, 524),(-187, 157),(-178, 525),(-56, 93)
,(-53, 158),(-52, 163),(-51, 156),(-44, 152)
,(-25, 161)
-- State  513

-- State  514
,(-93, 322),(-90, 321),(-89, 320)
,(-87, 526),(-25, 36),(-23, 324)
-- State  515

-- State  516
,(-208, 527)

-- State  517

-- State  518

-- State  519
,(-225, 528)
-- State  520
,(-100, 531)
-- State  521
,(-223, 532),(-109, 473)
,(-105, 496),(-58, 224),(-57, 474),(-44, 225)
,(-25, 280)
-- State  522

-- State  523
,(-235, 162),(-197, 375),(-187, 373)
,(-164, 372),(-163, 371),(-162, 370),(-161, 369)
,(-160, 368),(-159, 367),(-158, 365),(-157, 364)
,(-156, 363),(-155, 361),(-154, 360),(-153, 358)
,(-152, 533),(-52, 163),(-36, 359),(-32, 366)
,(-25, 374)
-- State  524

-- State  525

-- State  526
,(-100, 535)
-- State  527
,(-235, 162),(-231, 154)
,(-229, 153),(-228, 151),(-227, 150),(-197, 164)
,(-189, 536),(-187, 157),(-56, 93),(-53, 158)
,(-52, 163),(-51, 156),(-44, 152),(-25, 161)

-- State  528
,(-235, 162),(-197, 375),(-187, 373),(-164, 372)
,(-163, 371),(-162, 370),(-161, 369),(-160, 368)
,(-159, 367),(-158, 365),(-157, 364),(-156, 363)
,(-155, 361),(-154, 360),(-153, 358),(-152, 537)
,(-52, 163),(-36, 359),(-32, 366),(-25, 374)

-- State  529
,(-226, 538)
-- State  530

-- State  531

-- State  532

-- State  533

-- State  534
,(-179, 539)
-- State  535
,(-107, 540)
-- State  536

-- State  537

-- State  538
,(-235, 162)
,(-197, 375),(-187, 373),(-164, 372),(-163, 371)
,(-162, 370),(-161, 369),(-160, 368),(-159, 367)
,(-158, 365),(-157, 364),(-156, 363),(-155, 361)
,(-154, 360),(-153, 358),(-152, 541),(-52, 163)
,(-36, 359),(-32, 366),(-25, 374)
-- State  539
,(-235, 162)
,(-197, 375),(-187, 373),(-164, 372),(-163, 371)
,(-162, 370),(-161, 369),(-160, 368),(-159, 367)
,(-158, 365),(-157, 364),(-156, 363),(-155, 361)
,(-154, 360),(-153, 358),(-152, 542),(-52, 163)
,(-36, 359),(-32, 366),(-25, 374)
-- State  540

-- State  541

-- State  542

-- State  543

);
--  The offset vector
GOTO_OFFSET : array (0.. 543) of Integer :=
( 0,
 4, 4, 4, 5, 6, 7, 7, 8, 9, 10,
 10, 11, 11, 11, 11, 11, 12, 13, 14, 14,
 14, 15, 16, 17, 18, 18, 20, 20, 22, 25,
 26, 27, 27, 27, 28, 28, 28, 30, 30, 30,
 33, 34, 35, 35, 36, 38, 38, 39, 39, 40,
 42, 42, 43, 47, 51, 52, 52, 53, 55, 55,
 56, 67, 67, 67, 70, 70, 70, 70, 70, 71,
 72, 73, 73, 81, 82, 83, 83, 83, 83, 83,
 84, 84, 92, 93, 93, 93, 93, 93, 94, 94,
 94, 95, 96, 96, 96, 96, 96, 96, 96, 112,
 112, 112, 112, 113, 113, 114, 115, 116, 117, 117,
 118, 119, 119, 119, 119, 119, 119, 119, 119, 120,
 120, 120, 121, 121, 121, 121, 121, 121, 121, 121,
 131, 132, 133, 134, 134, 134, 134, 134, 134, 134,
 134, 134, 140, 141, 141, 152, 158, 159, 159, 159,
 160, 161, 172, 173, 173, 174, 174, 174, 174, 175,
 176, 177, 177, 177, 177, 177, 177, 195, 213, 217,
 221, 232, 233, 233, 239, 240, 241, 241, 249, 249,
 249, 256, 263, 270, 270, 286, 286, 286, 286, 301,
 302, 315, 315, 315, 315, 325, 326, 335, 340, 341,
 342, 342, 356, 365, 365, 365, 365, 365, 365, 365,
 365, 365, 365, 365, 370, 371, 372, 374, 375, 375,
 375, 375, 375, 375, 375, 377, 377, 377, 378, 379,
 379, 379, 379, 379, 379, 379, 379, 379, 379, 379,
 379, 379, 379, 379, 379, 379, 379, 381, 381, 381,
 383, 383, 387, 391, 391, 392, 393, 394, 395, 396,
 396, 396, 396, 396, 410, 410, 411, 411, 411, 412,
 428, 428, 428, 428, 430, 431, 431, 432, 434, 435,
 435, 435, 435, 441, 442, 461, 461, 461, 461, 462,
 463, 463, 463, 463, 463, 463, 463, 463, 463, 463,
 463, 463, 464, 464, 464, 465, 465, 465, 466, 466,
 466, 466, 466, 466, 466, 467, 467, 467, 471, 481,
 481, 481, 481, 482, 482, 483, 492, 492, 492, 502,
 503, 504, 505, 526, 541, 556, 556, 557, 558, 558,
 558, 559, 559, 559, 559, 559, 560, 564, 565, 565,
 565, 565, 565, 565, 566, 568, 568, 568, 568, 568,
 568, 568, 568, 568, 568, 568, 568, 568, 568, 568,
 568, 568, 568, 568, 570, 572, 573, 574, 575, 576,
 577, 578, 579, 580, 581, 581, 581, 581, 582, 582,
 583, 588, 588, 588, 588, 588, 606, 606, 606, 606,
 606, 606, 626, 644, 645, 645, 645, 645, 645, 646,
 647, 648, 663, 678, 699, 714, 716, 722, 722, 723,
 732, 732, 732, 732, 734, 735, 735, 735, 735, 749,
 750, 750, 750, 750, 750, 750, 750, 750, 750, 750,
 750, 750, 751, 751, 770, 770, 770, 770, 771, 771,
 787, 788, 789, 790, 791, 792, 793, 798, 798, 806,
 807, 807, 807, 827, 828, 843, 863, 878, 898, 898,
 899, 899, 900, 900, 900, 900, 901, 902, 903, 911,
 911, 911, 911, 912, 912, 913, 913, 914, 915, 919,
 934, 949, 950, 950, 952, 952, 953, 953, 953, 954,
 961, 961, 966, 966, 966, 966, 966, 986, 988, 989,
 989, 990, 1005, 1005, 1011, 1011, 1012, 1012, 1012, 1013,
 1014, 1021, 1021, 1041, 1041, 1041, 1042, 1056, 1076, 1077,
 1077, 1077, 1077, 1077, 1078, 1079, 1079, 1079, 1099, 1119,
 1119, 1119, 1119);

subtype Rule        is Natural;
subtype Nonterminal is Integer;

   Rule_Length : array (Rule range  0 ..  374) of Natural := ( 2,
 1, 1, 3, 0, 4, 1, 0, 7,
 0, 4, 0, 4, 0, 0, 9, 0,
 4, 0, 0, 0, 9, 3, 0, 3,
 1, 0, 4, 1, 6, 3, 0, 3,
 1, 1, 1, 2, 0, 2, 1, 0,
 5, 1, 3, 1, 2, 1, 0, 4,
 0, 4, 0, 4, 3, 1, 1, 1,
 1, 1, 0, 4, 0, 3, 1, 1,
 1, 1, 1, 1, 1, 2, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 2,
 0, 2, 1, 0, 0, 6, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 0,
 4, 0, 4, 1, 2, 1, 1, 1,
 1, 0, 0, 8, 0, 4, 1, 1,
 1, 1, 1, 0, 0, 5, 1, 1,
 0, 4, 1, 1, 1, 0, 0, 4,
 0, 0, 0, 8, 3, 1, 0, 4,
 1, 0, 0, 8, 0, 4, 1, 1,
 3, 1, 1, 0, 4, 1, 3, 0,
 3, 1, 1, 0, 3, 0, 0, 5,
 0, 0, 6, 2, 0, 2, 1, 0,
 5, 2, 0, 3, 1, 1, 1, 0,
 4, 1, 2, 1, 1, 0, 4, 0,
 4, 1, 1, 1, 1, 1, 0, 4,
 0, 5, 1, 1, 0, 3, 1, 0,
 4, 1, 1, 1, 1, 0, 0, 0,
 8, 1, 0, 1, 2, 1, 1, 3,
 0, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 0, 4, 1,
 3, 0, 0, 6, 0, 0, 6, 0,
 0, 0, 0, 12, 0, 0, 6, 0,
 0, 7, 0, 3, 0, 0, 4, 0,
 5, 3, 1, 1, 0, 4, 2, 2,
 0, 3, 0, 3, 1, 0, 0, 4,
 0, 0, 4, 1, 1, 0, 4, 1,
 0, 4, 0, 4, 0, 4, 1, 1,
 0, 3, 0, 0, 0, 9, 3, 1,
 0, 1, 0, 1, 0, 4, 1, 0,
 4, 0, 3, 0, 4, 1, 1, 1,
 1, 1, 3, 1, 1, 1, 3, 1,
 2, 1, 3, 1, 3, 0, 3, 1,
 1, 1, 0, 4, 0, 3, 2, 1,
 1, 1, 1, 0, 4, 0, 5, 2,
 1, 1, 3, 2, 3, 1, 0, 4,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1);
   Get_LHS_Rule: array (Rule range  0 ..  374) of Nonterminal := (-1,
-2,-2,-4,-9,-5,-8,-10,-6,
-17,-15,-19,-15,-15,-20,-7,-22,
-11,-11,-24,-26,-3,-27,-27,-29,
-29,-30,-23,-23,-28,-31,-31,-33,
-33,-35,-36,-12,-12,-37,-37,-39,
-38,-40,-40,-41,-41,-43,-46,-43,
-47,-43,-48,-43,-45,-45,-50,-50,
-50,-50,-54,-50,-55,-50,-51,-51,
-51,-51,-51,-51,-57,-57,-57,-57,
-44,-44,-58,-58,-58,-58,-58,-13,
-13,-59,-59,-61,-62,-60,-63,-63,
-64,-64,-64,-64,-64,-65,-65,-72,
-70,-73,-71,-66,-66,-74,-74,-74,
-74,-79,-81,-75,-83,-80,-80,-84,
-85,-85,-82,-86,-88,-76,-87,-87,
-91,-89,-89,-92,-92,-92,-94,-93,
-95,-97,-98,-90,-96,-96,-103,-99,
-99,-106,-107,-104,-108,-105,-105,-109,
-109,-101,-102,-110,-77,-111,-78,-112,
-67,-113,-68,-114,-68,-116,-117,-69,
-118,-119,-69,-14,-14,-120,-120,-122,
-121,-21,-21,-123,-123,-124,-124,-127,
-125,-16,-16,-130,-130,-131,-115,-133,
-132,-132,-134,-134,-134,-134,-139,-135,
-140,-136,-137,-138,-141,-129,-142,-143,
-126,-144,-144,-128,-128,-145,-146,-148,
-18,-147,-147,-149,-150,-151,-152,-152,
-152,-153,-153,-154,-154,-154,-155,-155,
-155,-155,-155,-155,-155,-165,-32,-166,
-166,-167,-168,-161,-170,-171,-162,-172,
-174,-177,-179,-163,-180,-182,-164,-183,
-184,-159,-186,-185,-185,-188,-156,-191,
-190,-192,-192,-193,-195,-194,-157,-157,
-198,-157,-200,-157,-196,-196,-202,-199,
-199,-204,-203,-203,-205,-206,-205,-207,
-208,-207,-209,-201,-211,-210,-210,-212,
-213,-158,-214,-216,-217,-160,-219,-100,
-100,-220,-220,-215,-222,-218,-218,-224,
-223,-225,-221,-226,-221,-173,-175,-176,
-176,-178,-181,-181,-169,-189,-189,-227,
-227,-228,-228,-229,-229,-232,-231,-231,
-231,-231,-233,-231,-234,-231,-52,-187,
-187,-235,-235,-236,-235,-237,-235,-197,
-56,-56,-53,-53,-238,-238,-240,-239,
-239,-230,-230,-230,-49,-49,-49,-49,
-49,-49,-49,-42,-42,-42,-42,-42,
-42,-42,-25,-25,-25,-34);
end Pascal_Goto;
