-- $Id: pascalhelp.ads,v 2.1 1997/08/23 20:00:09 nestor Rel $
-- $Locker:  $
-- $Log: pascalhelp.ads,v $
-- Revision 2.1  1997/08/23 20:00:09  nestor
-- Laurent Gasser's correction for MacOS extended Pascal
-- Added variables to store the unit (alias package) name.
-- Added flag for optional semi-colon and solve grammar conflict.
--
-- Revision 1.1  1997/08/23  08:05:50  nestor
-- Martin C. Carlisle's original version, standard Pascal
--
-- p2ada PascalHelp package
--
-- Martin C. Carlisle, US Air Force Academy
--
-- November 26, 1996
--
-- Laurent Gasser, Hirondelle Lumineuse
-- June 21, 1997
-- Adaptation to extended MacOS Pascal

PACKAGE PascalHelp IS

SUBTYPE NameType IS String(1..80);

-- lga; jun 21, 97
Package_Name : NameType;
Package_Name_Length : Natural := 0;

--lga; jul 12, 1997
Has_Optional_Semicolon : BOOLEAN := FALSE;
 
FunctionName : NameType;
FnNameLength : Integer := 0;
FunctionReturn : Boolean := False;
DirectIO : Boolean := True;

-- prints this text as an Ada comment (possibly multiple lines)
PROCEDURE Comment (text : IN String);

-- prints this text as an Ada String
PROCEDURE PrintString (text : IN String);

-- IO routines, just call Ada IO if DirectIO is true, otherwise buffer
PROCEDURE Put(text : IN String);
PROCEDURE Put(text : IN Character);
PROCEDURE Put_Line(text : IN String);
PROCEDURE New_Line;

-- clear text buffer (erase contents)
PROCEDURE Empty;
-- flush text buffer to IO device (buffer unchanged)
PROCEDURE Flush;

END PascalHelp;
